Eclipse Rich Ajax Platform

## org.eclipse.swt.events
Class ExpandEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.SelectionEvent
                  org.eclipse.swt.events.ExpandEvent

    public class ExpandEvent

extends SelectionEvent

Instances of this class are sent as a result of expand item being expanded and collapsed.

IMPORTANT: All `public static` members of this class are not part of the RWT public API. They are marked public only so that they can be shared within the packages provided by RWT. They should never be accessed from application code.

Since:
  1.2
See Also:
  `ExpandListener`

Field Summary
`static int` `COLLAPSE`
`static int` `EXPAND`

Fields inherited from class org.eclipse.swt.events.SelectionEvent
`detail, doit, height, item, stateMask, text, WIDGET_DEFAULT_SELECTED, WIDGET_SELECTED, width, x, y`

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`ExpandEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.
`ExpandEvent(Widget widget, Widget item, int id)` Constructs a new instance of this class.

Method Summary
`static void` `addListener(Adaptable adaptable, ExpandListener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(java.lang.Object listener)`
`static java.lang.Object[]` `getListeners(Adaptable adaptable)`
`protected java.lang.Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, ExpandListener listener)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.swt.events.SelectionEvent
`addListener, removeListener`

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXPAND

    public static final int EXPAND

See Also:
  Constant Field Values

### COLLAPSE

    public static final int COLLAPSE

See Also:
  Constant Field Values

Constructor Detail

### ExpandEvent

    public ExpandEvent(Event event)

  Constructs a new instance of this class based on the information in the given untyped event.

  Parameters:
    `event` - the untyped event containing the information

### ExpandEvent

    public ExpandEvent(Widget widget,
                       Widget item,
                       int id)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(java.lang.Object listener)

  Overrides:
    `dispatchToObserver` in class `SelectionEvent`

### getListenerType

    protected java.lang.Class getListenerType()

  Overrides:
    `getListenerType` in class `SelectionEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `SelectionEvent`

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### addListener

    public static void addListener(Adaptable adaptable,
                                   ExpandListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      ExpandListener listener)

### getListeners

    public static java.lang.Object[] getListeners(Adaptable adaptable)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SelectionEvent`

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.